<?php
add_action( 'wp_enqueue_scripts', 'theme_enqueue_styles', 1001);
function theme_enqueue_styles() {
  wp_enqueue_style( 'parent-style', get_stylesheet_directory_uri() . '/father-theme-style.min.css' );
  wp_enqueue_style( 'swiper-style', get_stylesheet_directory_uri() . '/_lib/swiper/dist/css/swiper.min.css' );
  wp_enqueue_style( 'font-awesome-4', get_stylesheet_directory_uri() . '/_lib/font-awesome/css/font-awesome.min.css' );
  wp_enqueue_style( 'child-style', get_stylesheet_directory_uri() . '/custom-style.min.css' );



  wp_enqueue_script( 'swiper-script', get_stylesheet_directory_uri() . '/_lib/swiper/dist/js/swiper.min.js' );
  wp_enqueue_script( 'bootstrap-script', get_stylesheet_directory_uri() . '/_lib/bootstrap/js/bootstrap.min.js' );
  wp_enqueue_script( 'custom-script', get_stylesheet_directory_uri() . '/custom-js.min.js' );
}

const THEME_CONFIG_PATH = "/themes/custom-child/theme-config/" ;

// Config
require_once WP_CONTENT_DIR . '/themes/custom-child/theme-config/menus.php';
require_once WP_CONTENT_DIR . '/themes/custom-child/theme-config/config.php';

// Custom post types
require_once WP_CONTENT_DIR . '/themes/custom-child/theme-config/centros.php';

require_once WP_CONTENT_DIR . THEME_CONFIG_PATH .'agenda.php';
require_once WP_CONTENT_DIR . THEME_CONFIG_PATH .'colaborador.php';
require_once WP_CONTENT_DIR . THEME_CONFIG_PATH .'news.php';
require_once WP_CONTENT_DIR . THEME_CONFIG_PATH .'opinions.php';
require_once WP_CONTENT_DIR . THEME_CONFIG_PATH .'values.php';


 // flush_rewrite_rules();
 function register_string_translation_polylang(){
  pll_register_string("custom-theme", 'Buscar',"Sauces");
  pll_register_string("custom-theme", 'Ver Más',"Sauces");
  pll_register_string("custom-theme", 'Alumnos',"Sauces");
  pll_register_string("custom-theme", 'Personal Docente',"Sauces");
  pll_register_string("custom-theme", 'Alumnos en selectividad',"Sauces");
  pll_register_string("custom-theme", 'Ex-Alumnos',"Sauces");
}